javax.ejb

## Interface EntityContext

- All Superinterfaces:
    EJBContext

      public interface EntityContext
      extends EJBContext

  The EntityContext interface provides an instance with access to the container-provided runtime context of an entity bean instance. The container passes the EntityContext interface to an entity bean instance after the instance has been created.

  The EntityContext interface remains associated with the instance for the lifetime of the instance. Note that the information that the instance obtains using the EntityContext interface (such as the result of the getPrimaryKey() method) may change, as the container assigns the instance to different EJB objects during the instance's life cycle.

  Note: Support for entity beans is optional as of EJB 3.2.

  Since:
    EJB 2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EJBLocalObject` | `getEJBLocalObject()` Obtain a reference to the EJB local object that is currently associated with the instance.
    `EJBObject` | `getEJBObject()` Obtain a reference to the EJB object that is currently associated with the instance.
    `Object` | `getPrimaryKey()` Obtain the primary key of the EJB object that is currently associated with this instance.

    - ### Methods inherited from interface javax.ejb.EJBContext

      `getCallerIdentity, getCallerPrincipal, getContextData, getEJBHome, getEJBLocalHome, getEnvironment, getRollbackOnly, getTimerService, getUserTransaction, isCallerInRole, isCallerInRole, lookup, setRollbackOnly`

- - ### Method Detail

    - #### getEJBLocalObject

          EJBLocalObject getEJBLocalObject()
                                           throws IllegalStateException

      Obtain a reference to the EJB local object that is currently associated with the instance.

      An instance of an entity bean can call this method only when the instance is associated with an EJB local object identity, i.e. in the ejbActivate, ejbPassivate, ejbPostCreate, ejbRemove, ejbLoad, ejbStore, and business methods.

      An instance can use this method, for example, when it wants to pass a reference to itself in a method argument or result.

      Returns:
        The EJB local object currently associated with the instance.
      Throws:
        `IllegalStateException` - if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method, or if the instance does not have a local interface.
      Since:
        EJB 2.0

    - #### getEJBObject

          EJBObject getEJBObject()
                                 throws IllegalStateException

      Obtain a reference to the EJB object that is currently associated with the instance.

      An instance of an entity bean can call this method only when the instance is associated with an EJB object identity, i.e. in the ejbActivate, ejbPassivate, ejbPostCreate, ejbRemove, ejbLoad, ejbStore, and business methods.

      An instance can use this method, for example, when it wants to pass a reference to itself in a method argument or result.

      Returns:
        The EJB object currently associated with the instance.
      Throws:
        `IllegalStateException` - Thrown if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method, or if the instance does not have a remote interface.

    - #### getPrimaryKey

          Object getPrimaryKey()
                               throws IllegalStateException

      Obtain the primary key of the EJB object that is currently associated with this instance.

      An instance of an entity bean can call this method only when the instance is associated with an EJB object identity, i.e. in the ejbActivate, ejbPassivate, ejbPostCreate, ejbRemove, ejbLoad, ejbStore, and business methods.

      Note: The result of this method is that same as the result of getEJBObject().getPrimaryKey().

      Returns:
        The primary key currently associated with the instance.
      Throws:
        `IllegalStateException` - Thrown if the instance invokes this method while the instance is in a state that does not allow the instance to invoke this method.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.